#ifndef	__gzalias_h__
/*
 *	gzalias.h: for lib gzip
 *	1995 by oo, HGG00736@niftyserve.or.jp
 */
#define	__gzalias_h__	1

#define	method				_gzip_method

#define	inbuf				_gzip_inbuf
#define	outbuf				_gzip_outbuf
#define	d_buf				_gzip_d_buf
#define	window				_gzip_window

#ifndef MAXSEG_64K
#define	prev				_gzip_prev
#else
#define	prev				_gzip_prev
#define	tab_prefix1			_gzip_tab_prefix1
#endif

#define	insize				_gzip_insize
#define	inptr				_gzip_inptr
#define	outcnt				_gzip_outcnt

#define	bytes_in			_gzip_bytes_in
#define	bytes_out			_gzip_bytes_out
#define	header_bytes		_gzip_header_bytes

#define	ifd					_gzip_ifd
#define	ofd					_gzip_ofd
#define	ifname				_gzip_ifname
#define	ofname				_gzip_ofname
#define	progname			_gzip_progname

#define	time_stamp			_gzip_time_stamp
#define	ifile_size			_gzip_ifile_size

#define	decrypt				_gzip_decrypt
#define	exit_code			_gzip_exit_code
#define	verbose				_gzip_verbose
#define	level				_gzip_level
#define	test				_gzip_test
#define	to_stdout			_gzip_to_stdout
#define	save_orig_name		_gzip_save_orig_name
#define	quiet				_gzip_quiet
#define	shortname			_gzip_shortname
#define	backup				_gzip_backup

	/* in zip.c: */
#define	zip					_gzip_zip
#define	file_read			_gzip_file_read

	/* in unzip.c */
#define	unzip				_gzip_unzip
#define	check_zipfile		_gzip_check_zipfile

	/* in unpack.c */
#define	unpack				_gzip_unpack

	/* in unlzh.c */
#define	unlzh				_gzip_unlzh

	/* in unlzw.c */
#define	unlzw				_gzip_unlzw

	/* in gzip.c */
#define	maxbits				_gzip_maxbits
#define	abort_gzip			_gzip_abort_gzip

	/* in deflate.c */
#define	window_size			_gzip_window_size
#define	block_start			_gzip_block_start
#define	prev_length			_gzip_prev_length
#define	strstart			_gzip_strstart
#define	match_start			_gzip_match_start
#define	max_chain_length	_gzip_max_chain_length
#define	good_match			_gzip_good_match
#ifndef  FULL_SEARCH
#define	nice_match			_gzip_nice_match
#endif

#define	lm_init				_gzip_lm_init
#define	deflate				_gzip_deflate

	/* in trees.c */
#define	ct_init				_gzip_ct_init
#define	ct_tally			_gzip_ct_tally
#define	flush_block			_gzip_flush_block

	/* in bits.c */
#define	bi_init				_gzip_bi_init
#define	send_bits			_gzip_send_bits
#define	bi_reverse			_gzip_bi_reverse
#define	bi_windup			_gzip_bi_windup
#define	copy_block			_gzip_copy_block
#define	read_buf			_gzip_read_buf

	/* in util.c: */
#define	copy				_gzip_copy
#define	updcrc				_gzip_updcrc
#define	clear_bufs			_gzip_clear_bufs
#define	fill_inbuf			_gzip_fill_inbuf
#define	flush_outbuf		_gzip_flush_outbuf
#define	flush_window		_gzip_flush_window
#define	write_buf			_gzip_write_buf
#define	basename			_gzip_basename
#define	make_simple_name	_gzip_make_simple_name
#define	add_envopt			_gzip_add_envopt
#define	error				_gzip_error
#define	warn				_gzip_warn
#define	read_error			_gzip_read_error
#define	write_error			_gzip_write_error
#define	display_ratio		_gzip_display_ratio
#define	xmalloc				_gzip_xmalloc
#define	crc_32_tab			_gzip_crc_32_tab

	/* in inflate.c */
#define	inflate				_gzip_inflate

	/* match.has */
#define	match_init			_gzip_match_init
#define	longest_match		_gzip_longest_match

	/* libgzip.c */
#define	remove_ofname		_gzip_remove_ofname
#define	work				_gzip_work
#define	force				_gzip_force
#define	last_member			_gzip_last_member
#define	no_time				_gzip_no_time
#define	no_name				_gzip_no_name
#define	list				_gzip_list

#endif	/*__gzalias_h__*/
